/**
 * Implementazione della richiesta di tipo 'DO TURNBY'.
 */
public class TurnCommand extends Request {
    private float angle;
    
    /**
     * Costruttore della classe.
     * @param a Angolo di rotazione espresso in gradi.
     */
    public TurnCommand(float a) {
    	angle = a;
    }

    /**
     * Ritorna la richiesta sottoforma di stringa.
     * @return Stringa contenente la richiesta.
     */
    public String toString() {
    	return "DO TURNBY "+angle;
    }

    /**
     * Ritorna la tipologia della richiesta.
     * @return Stringa contenente la richiesta.
     */
    public String type() {
    	return "DO TURNBY";
    }


}
