import java.net.*;
import java.io.*;
import java.nio.*;
import java.nio.channels.*;
import java.util.*;

/**
 */
public class QuagentDemo {


      public static void main(String args[]){

	  SocketChannel sChannel;
	  
	  try{
	      sChannel = SocketChannel.open();
	      sChannel.configureBlocking(false);

	      // connection the server; this method is non-blocking
	      sChannel.connect(new InetSocketAddress("localhost", 33333));

	      while (!sChannel.finishConnect()) {
	      }

	      BasicQuagent agent = new DrunkenMaster(sChannel);
	      agent.run();
	      sChannel.socket().close();
	      sChannel.close();
	  } catch (UnknownHostException e1) {
	      System.out.println("UnknownHostException:" + e1.getMessage());
	  } catch (ConnectException e2){

	      System.out.println("ConnectException:" + e2.getMessage());
	  } catch (IOException e3){

	      System.out.println("IO Error:" + e3.getMessage());
	  }


      }

}

