import java.nio.*;
import java.nio.channels.*;

public class DrunkenMasterII extends BasicQuagent{
    
    private boolean mission_completed = false;

    public DrunkenMasterII (SocketChannel s) {
	super(s);
	getGreeting();
    }

    public Response walk(int dist){
	Request walk = new WalkCommand((float)dist);
	send(walk);
	return getResponse(walk);
    }

    public Response probe(int radius){
	Request probe = new RadiusQuery((float)radius);
	send(probe);
	return getResponse(probe);
    }

    public Response turn(int angle){
	Request turn = new TurnCommand((float)angle);
	send(turn);
	return getResponse(turn);
    }
}

