/**
 * Incapsula la risposta fornita dall'infrastruttura ad una richiesta e ne permette una facile lettura
 * da parte dell'agente.
 */
public class Response {

    private String value;
    private boolean is_ok;

    /**
     * Costruttore della classe
     */
    public Response() {
    	value = null;
    	is_ok = false;
    }

    /**
     * Imposta il valore della risposta.
     * @param v Stringa contenente il valore da assegnare alla risposta.
     */
    public void setValue(String v[]) {
    	// v[0] is "OK"
    	value = v[0];
    }

    /** 
     * Legge il valore della risposta.
     * @return L'esito della richiesta come valore booleano.
     */
    public boolean isOK() {
    	return is_ok;
    }

    /**
     * Imposta il valore della risposta.
     * @param v Valore booleano da assegnare alla risposta.
     */
    public void isOK(boolean v) {
    	is_ok = v;
    }

}
