/**
 * Implementazione della richiesta di tipo 'DO WALKBY'.
 */
public class WalkCommand extends Request {
    private float distance;
    
    /**
     * Costruttore della classe.
     * @param dist Distanza da percorrere.
     */
    public WalkCommand(float dist) {
    	distance = dist;
    }

    /**
     * Ritorna la richiesta sottoforma di stringa.
     * @return Stringa contenente la richiesta.
     */
    public String toString() {
    	return "DO WALKBY "+distance;
    }

    /**
     * Ritorna la tipologia della richiesta.
     * @return Stringa contenente la richiesta.
     */
    public String type() {
    	return "DO WALKBY";
    }
}
