/**
 * Implementazione della richiesta di tipo 'ASK RADIUS'.
 */
public class RadiusQuery extends Request
{
    float radius;
    
    /**
     * Costruttore della classe.
     * @param r Raggio su cui effettuare il controllo.
     */
    public RadiusQuery(float r) {
    	radius = r;
    }

    /**
     * Ritorna la richiesta sottoforma di stringa.
     * @return Stringa contenente la richiesta.
     */
    public String toString() {
    	return "ASK RADIUS "+radius;
    }
}
