/**
 * Implementazione della richiesta di tipo 'ASK RAYS'.
 */
public class RaysQuery extends Request
{
    int rays_num;
    
    /**
     * Costruttore della classe.
     * @param r Raggio su cui effettuare il controllo.
     */
    public RaysQuery(int rays) {
    	rays_num = rays;
    }

    /**
     * Ritorna la richiesta sottoforma di stringa.
     * @return Stringa contenente la richiesta.
     */
    public String toString() {
    	return "ASK RAYS "+rays_num;
    }
}
