import java.util.*;

public class RadiusResponse extends Response
{

    Vector items;
    
    public RadiusResponse() {

	items = new Vector();
    }

    public void setValue(String[] v) {

	// v[0] is "OK"
	// v[1] is number of items

	int num_items = Integer.parseInt(v[1]);
	for(int i=2; i<v.length; i+=4) {

	    // v[i] has the name of the item
	    // v[i+1] has the position

	    float x = Float.parseFloat(v[i+1]);
	    float y = Float.parseFloat(v[i+2]);
	    float z = Float.parseFloat(v[i+3]);

	    items.addElement(new Item(v[i],x,y,z));
	}

    }

    public void dumpValue() {

	for(int i=0; i<items.size(); ++i)
	    ((Item)items.get(i)).dump();
    }

}

