#ifndef _QUAGENT_CONFIG_H_
#define _QUAGENT_CONFIG_H_

/**************************************************
*
* $Log: quagent_config.h,v $
* Revision 1.1  2004/01/23 16:22:49  bh
* Parse configuration file.
*
*
**************************************************/
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

extern void parse_item_config_file(edict_t*, FILE*);
extern void parse_quagent_config_file(edict_t*, FILE*);

#define MAX_CONFIG_QUAGENTS 100
extern int num_config_quagents;
extern int config_quagent_types[MAX_CONFIG_QUAGENTS];

#define QUAGENT_TYPE_SOLDIER		1
#define QUAGENT_TYPE_PARASITE		2
#define QUAGENT_TYPE_GUNNER		3
#define QUAGENT_TYPE_CHICK		4
#define QUAGENT_TYPE_GLADIATOR		5
#define QUAGENT_TYPE_INFANTRY		6
#define QUAGENT_TYPE_BERSERK		7

#endif/*_QUAGENT_CONFIG_H_*/

