/**
 * Implementazione della richiesta di tipo 'DO PICKUP'.
 */
public class PickupCommand extends Request {
	private String item_;

    /**
     * Costruttore della classe.
     * @param item Nome dell'oggetto da raccogliere.
     */
    public PickupCommand(String item) {
    	item_=item;
    }

    /**
     * Ritorna la richiesta sottoforma di stringa.
     * @return Stringa contenente la richiesta.
     */
    public String toString() {
    	return "DO PICKUP "+item_;
    }

    /**
     * Ritorna la tipologia della richiesta.
     * @return Stringa contenente la richiesta.
     */
    public String type() {
    	return "DO PICKUP";
    }
}
